summaryrefslogtreecommitdiffstats
path: root/source/xfce/tumbler
diff options
context:
space:
mode:
Diffstat (limited to 'source/xfce/tumbler')
-rw-r--r--source/xfce/tumbler/set-gststate-on-error.diff23
-rwxr-xr-xsource/xfce/tumbler/tumbler.SlackBuild6
2 files changed, 27 insertions, 2 deletions
diff --git a/source/xfce/tumbler/set-gststate-on-error.diff b/source/xfce/tumbler/set-gststate-on-error.diff
new file mode 100644
index 000000000..042c03ecd
--- /dev/null
+++ b/source/xfce/tumbler/set-gststate-on-error.diff
@@ -0,0 +1,23 @@
+Description: Close file on error
+Origin: other, https://bugzilla.xfce.org/attachment.cgi?id=4447
+Bug: https://bugzilla.xfce.org/show_bug.cgi?id=8303
+Bug-Ubuntu: https://launchpad.net/bugs/995918
+
+--- tumbler-0.1.25.orig/plugins/gst-thumbnailer/gst-thumbnailer.c
++++ tumbler-0.1.25/plugins/gst-thumbnailer/gst-thumbnailer.c
+@@ -233,6 +233,7 @@ make_pipeline (TumblerFileInfo *info,
+ if (state == GST_STATE_CHANGE_FAILURE || state == GST_STATE_CHANGE_ASYNC)
+ {
+ LOG ("failed to or still changing state, aborting (state change %d)", state);
++ gst_element_set_state (playbin, GST_STATE_NULL);
+ g_object_unref (playbin);
+ return NULL;
+ }
+@@ -241,6 +242,7 @@ make_pipeline (TumblerFileInfo *info,
+ if (n_video == 0)
+ {
+ LOG ("no video stream, aborting");
++ gst_element_set_state (playbin, GST_STATE_NULL);
+ g_object_unref (playbin);
+ return NULL;
+ }
diff --git a/source/xfce/tumbler/tumbler.SlackBuild b/source/xfce/tumbler/tumbler.SlackBuild
index 2b1649132..97c3ff5aa 100755
--- a/source/xfce/tumbler/tumbler.SlackBuild
+++ b/source/xfce/tumbler/tumbler.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2012 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2012, 2013 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,7 +22,7 @@
PKGNAM=tumbler
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-4}
# Automatically determine the architecture we're building on:
MARCH=$( uname -m )
@@ -64,6 +64,8 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
cd $PKGNAM-$VERSION || exit 1
+zcat $CWD/set-gststate-on-error.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \